#!/usr/bin/env bash

# SPDX-FileCopyrightText: 2018 Istituto Nazionale di Fisica Nucleare
#
# SPDX-License-Identifier: EUPL-1.2

set -ex

dnf install -y epel-release
dnf update -y

# https://openresty.org/en/linux-packages.html#centos
curl -o /etc/yum.repos.d/openresty.repo https://openresty.org/package/centos/openresty2.repo

dnf config-manager --set-enabled crb

dnf install -y --setopt=tsflags=nodocs \
    boost-devel \
    ccache \
    file \
    gcc-c++ \
    gd-devel \
    gettext \
    git \
    lcov \
    libxslt-devel \
    make \
    patch \
    pcre2-devel \
    perl-Digest-SHA \
    perl-ExtUtils-Embed \
    perl-Test-Nginx \
    procps-ng \
    readline-devel \
    rpmdevtools \
    rpmlint \
    sudo \
    voms-clients-cpp \
    voms-devel \
    which \
    zlib-devel
